BasicIndexNavigatorUI
Keywords: javax.help.plaf.basic.BasicIndexNavigatorUI class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.plaf.basic
Class BasicIndexNavigatorUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.help.plaf.HelpNavigatorUI
              javax.help.plaf.basic.BasicIndexNavigatorUI

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ComponentListener, java.util.EventListener, HelpModelListener, java.beans.PropertyChangeListener, java.io.Serializable, javax.swing.event.TreeSelectionListener

public class BasicIndexNavigatorUI
extends HelpNavigatorUI
implements HelpModelListener, javax.swing.event.TreeSelectionListener, java.beans.PropertyChangeListener, java.awt.event.ActionListener, java.awt.event.ComponentListener, java.io.Serializable

The default UI for JHelpNavigator of type Index.

See Also:
  Serialized Form

Constructor Summary
`BasicIndexNavigatorUI(JHelpIndexNavigator b)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` Handles Action from the JTextField component for searching.
`void` | `componentHidden(java.awt.event.ComponentEvent e)` Invoked when the component has been made invisible.
`void` | `componentMoved(java.awt.event.ComponentEvent e)` Invoked when the component's position changes.
`void` | `componentResized(java.awt.event.ComponentEvent e)` Invoked when the component's size changes.
`void` | `componentShown(java.awt.event.ComponentEvent e)` Invoked when the component has been made visible.
`static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent x)`
`void` | `doMerge(NavigatorView view)` Merges in the navigational data from another IndexView.
`java.awt.Dimension` | `getMaximumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getMinimumSize(javax.swing.JComponent c)`
`java.awt.Dimension` | `getPreferredSize(javax.swing.JComponent c)`
`void` | `idChanged(HelpModelEvent e)` Tells the listener that the current ID in the HelpModel has changed.
`void` | `installUI(javax.swing.JComponent c)`
`void` | `merge(NavigatorView view)` Merges in the navigational data from another IndexView.
`void` | `propertyChange(java.beans.PropertyChangeEvent event)`
`void` | `remove(NavigatorView view)` Removes the navigational data from another IndexView.
`void` | `uninstallUI(javax.swing.JComponent c)`
`void` | `valueChanged(javax.swing.event.TreeSelectionEvent e)`

Methods inherited from class javax.help.plaf.HelpNavigatorUI
`getAddAction, getIcon, getImageIcon, setIcon`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicIndexNavigatorUI

    public BasicIndexNavigatorUI(JHelpIndexNavigator b)

Method Detail

### createUI

    public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent x)

### installUI

    public void installUI(javax.swing.JComponent c)

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

### getPreferredSize

    public java.awt.Dimension getPreferredSize(javax.swing.JComponent c)

### getMinimumSize

    public java.awt.Dimension getMinimumSize(javax.swing.JComponent c)

### getMaximumSize

    public java.awt.Dimension getMaximumSize(javax.swing.JComponent c)

### doMerge

    public void doMerge(NavigatorView view)

  Merges in the navigational data from another IndexView.

### merge

    public void merge(NavigatorView view)

  Merges in the navigational data from another IndexView.

  Overrides:
    `merge` in class `HelpNavigatorUI`
  Parameters:
    `view` - A IndexView. Note the actual argument is a NavigatorView type so it replaces the correct NavigatorUI method.

### remove

    public void remove(NavigatorView view)

  Removes the navigational data from another IndexView.

  Overrides:
    `remove` in class `HelpNavigatorUI`
  Parameters:
    `view` - An IndexView. Note the actual argument is a NavigatorView type so it replaces the correct NavigatorUI method.

### idChanged

    public void idChanged(HelpModelEvent e)

  Description copied from interface: `HelpModelListener`
  Tells the listener that the current ID in the HelpModel has changed. All highlights from the previous location change at this point.

  Specified by:
    `idChanged` in interface `HelpModelListener`
  Parameters:
    `e` - The event

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### componentResized

    public void componentResized(java.awt.event.ComponentEvent e)

  Invoked when the component's size changes.

  Specified by:
    `componentResized` in interface `java.awt.event.ComponentListener`

### componentMoved

    public void componentMoved(java.awt.event.ComponentEvent e)

  Invoked when the component's position changes.

  Specified by:
    `componentMoved` in interface `java.awt.event.ComponentListener`

### componentShown

    public void componentShown(java.awt.event.ComponentEvent e)

  Invoked when the component has been made visible.

  Specified by:
    `componentShown` in interface `java.awt.event.ComponentListener`

### componentHidden

    public void componentHidden(java.awt.event.ComponentEvent e)

  Invoked when the component has been made invisible.

  Specified by:
    `componentHidden` in interface `java.awt.event.ComponentListener`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Handles Action from the JTextField component for searching.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD